Debian Bug report logs - #660601
live-build: wheezy live rescue: packages honeyd, thttpd and guymager aren't available in wheezy

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Nicolas Le Cam <niko.lecam@gmail.com>

Date: Mon, 20 Feb 2012 04:21:02 UTC

Severity: normal

Found in version live-build/3.0~a45-1

Fixed in version live-build/3.0~a46-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660601; Package live-build. (Mon, 20 Feb 2012 04:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Le Cam <niko.lecam@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 20 Feb 2012 04:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Le Cam <niko.lecam@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: wheezy live rescue: packages honeyd, thttpd and guymager aren't available in wheezy
Date: Mon, 20 Feb 2012 05:19:29 +0100
Package: live-build
Version: 3.0~a45-1
Severity: normal

Dear Maintainer,

I'm trying to build a rescue usb flash drive but building is stopping because of missing packages :

$ lb config --distribution wheezy --package-lists rescue --binary-images hdd --parent-mirror-bootstrap ftp://ftp.fr.debian.org/debian/ --parent-mirror-binary ftp://ftp.fr.debian.org/debian/ --mirror-bootstrap ftp://ftp.fr.debian.org/debian/ --mirror-binary ftp://ftp.fr.debian.org/debian/ --binary-filesystem fat32
# lb build
[...]
P: Begin installing packages (install pass)...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'clamav-freshclam' instead of 'clamav-data'
Package thttpd is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package honeyd is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'honeyd' has no installation candidate
E: Package 'thttpd' has no installation candidate
E: Unable to locate package guymager
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists... Done
Building dependency tree       
Reading state information... Done

Removing references to honeyd and thttpd from /usr/share/live/build/package-lists/rescue,
then guymager from /usr/share/live/build/package-lists/debian-forensics
(this one appears after removing the first two packages) solved my problem.

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.38

Versions of packages live-build recommends:
ii  cpio                            2.11-7
ii  gettext-base                    0.18.1.1-5
ii  gnu-fdisk                       1.2.4-3+b1
ii  live-boot-doc                   3.0~a25-1
ii  live-config-doc                 3.0~a32-1
ii  live-manual-html [live-manual]  1:3.0~a10-1

Versions of packages live-build suggests:
ii  dosfstools      3.0.12-1
ii  fakeroot        1.18.2-1
ii  genisoimage     9:1.1.11-2
ii  memtest86+      4.20-1.1
ii  mtools          4.0.12-1
ii  parted          2.3-8
ii  squashfs-tools  1:4.2-4+b1
ii  sudo            1.8.3p2-1
ii  syslinux        2:4.05+dfsg-2
ii  uuid-runtime    2.20.1-1.2
ii  win32-loader    0.7.0

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660601; Package live-build. (Mon, 20 Feb 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 20 Feb 2012 06:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 660601@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Nicolas Le Cam <niko.lecam@gmail.com>
Cc: 660601@bugs.debian.org
Subject: Re: Bug#660601: live-build: wheezy live rescue: packages honeyd, thttpd and guymager aren't available in wheezy
Date: Mon, 20 Feb 2012 07:30:54 +0100
tag 660601 pending
thanks

On 02/20/2012 05:19 AM, Nicolas Le Cam wrote:
> I'm trying to build a rescue usb flash drive but building is stopping because of missing packages :

fixed in git.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 20 Feb 2012 06:33:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 09:49:44 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Le Cam <niko.lecam@gmail.com>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 09:49:51 GMT) Full text and rfc822 format available.

Message #17 received at 660601-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 660601-close@bugs.debian.org
Subject: Bug#660601: fixed in live-build 3.0~a46-1
Date: Thu, 05 Apr 2012 08:50:16 +0000
Source: live-build
Source-Version: 3.0~a46-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a46-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a46-1_all.deb
live-build-cron_3.0~a46-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a46-1_all.deb
live-build_3.0~a46-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a46-1.debian.tar.gz
live-build_3.0~a46-1.dsc
  to main/l/live-build/live-build_3.0~a46-1.dsc
live-build_3.0~a46-1_all.deb
  to main/l/live-build/live-build_3.0~a46-1_all.deb
live-build_3.0~a46.orig.tar.gz
  to main/l/live-build/live-build_3.0~a46.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660601@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Apr 2012 10:32:51 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a46-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 660601 663428 667594
Changes: 
 live-build (3.0~a46-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Excluding honeyd for wheezy in rescue package list (Closes:
     #660601).
   * Including thttpd for squeeze only in rescue package list.
   * Excluding guymager for wheezy in rescue package list.
   * Removing full path from chroot calls in chroot function.
 .
   [ Richard Nelson ]
   * Set parent distribution, parent debian installer, and mode, also
     disable backports on l-b.cgi
 .
   [ Daniel Baumann ]
   * Removing --hostname cruft, live-config bootparameters should be used
     via --bootappend-live.
   * Removing --username cruft, live-config bootparameters should be used
     via --bootappend-live.
   * Updating copyright file machine-readable format version 1.0.
   * Updating to standards version 3.9.3.
   * Marking lde in rescue list as squeeze only, thanks to Michal
     Suchanek <hramrach@centrum.cz>.
   * Adding architecture to the output message when running lb_config.
   * Excluding security and volatile archives for ubuntu precise for the
     the time being.
   * Removing references to not existing --language option in lb_config
     manpage.
   * Switching default bootstrap mirror from ftp.de.debian.org to
     ftp.debian.org, now that ftp.debian.org has upgraded hardware and
     bandwith.
   * Avoid calling update-initrd in lb_chroot_hacks if the target system
     has no initrd, thanks to Hector Oron <zumbi@debian.org>.
   * Excluding console-common in standard list for ubuntu as console-
     common is in universe.
   * Adding Italian debconf translations from Beatrice Torracca
     <beatricet@libero.it> (Closes: #663428).
   * Updating release list for progress.
   * Updating release list for ubuntu.
   * Moving pxelinux.cfg to pxelinux.cfg/default in pxelinux bootloader
     configs.
   * Moving kernel and initrd into tftpboot directory for netboot images.
   * Prefering default modules in initrd even on netboot images (Closes:
     #667594).
Checksums-Sha1: 
 09df51fe8a749a17edb0267a639b00fffb87675f 1413 live-build_3.0~a46-1.dsc
 8d56a4c538a87a5298bfbf2fa51ec8f93c316114 1847114 live-build_3.0~a46.orig.tar.gz
 b4e017a65ba983fa3cc6e456694330d3e6a10222 64186 live-build_3.0~a46-1.debian.tar.gz
 0e637512d955af3043bb3cdf2c9468596e0e75b7 1155680 live-build_3.0~a46-1_all.deb
 498fb88e0858d1f40ebe65e55f1e27d13d0298f5 66956 live-build-cgi_3.0~a46-1_all.deb
 cdc556e992b866d7382286e214bd7ab2b8df017d 74042 live-build-cron_3.0~a46-1_all.deb
Checksums-Sha256: 
 427c0874e103ea3eb3c7e3049d7a692794d38183b44379c5a2adb01bb91c9dc7 1413 live-build_3.0~a46-1.dsc
 475700ee9f53a825c6b1654e007a652001ade145c87683a7f4bd133560e07ddc 1847114 live-build_3.0~a46.orig.tar.gz
 1a3e90403301a4b507e7a93628eb6ebf6ba363b198aa6228e7de560d7dd004b5 64186 live-build_3.0~a46-1.debian.tar.gz
 bafe15962cf9e9aa026f873472b1504bf192aa66b289b98e9862772e401605e8 1155680 live-build_3.0~a46-1_all.deb
 5af88f1f5c218536f99c40f8cab9c7e8a2a986e40a7ac641bb2d6abff7b22698 66956 live-build-cgi_3.0~a46-1_all.deb
 d2f4902a62a33445a1a29fa5a2a6ab2ec45a6289c89f2056da1780c3396f15bc 74042 live-build-cron_3.0~a46-1_all.deb
Files: 
 8f4ef37f5c0d822a504ab8efd388f333 1413 misc optional live-build_3.0~a46-1.dsc
 f74dc6cce5dcf3a56db192337be51718 1847114 misc optional live-build_3.0~a46.orig.tar.gz
 8842a3e1f7675d0446826bcfc62abca0 64186 misc optional live-build_3.0~a46-1.debian.tar.gz
 664ae4bffc0ad7b1ab500594145bda76 1155680 misc optional live-build_3.0~a46-1_all.deb
 814fbd2511ed993f5545e7377c78046b 66956 misc optional live-build-cgi_3.0~a46-1_all.deb
 bdaa729a944508f30523fa570e8321ad 74042 misc optional live-build-cron_3.0~a46-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk99Wt0ACgkQ+C5cwEsrK57WMQCg3k2Otd+9cyfAOtdhBGF3dqUi
jtcAoMiClErpvRCjv+klMGPPNqIUhkaA
=FG65
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 May 2012 07:29:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:14:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.